[Lufi] Use the same env variable for temporary branch download

parent 2c495efd
FROM debian:buster
ARG LUFI_BUILD_VERSION=0.05.5
ARG LUFI_BRANCH=fix-209-cannot-send-mail
ARG LUFI_BUILD_VERSION=fix-209-cannot-send-mail
ENV APP_HOME=/lufi
# Install dependencies
......@@ -22,9 +21,11 @@ RUN wget "$SUPERCRONIC_URL" \
&& ln -s "/usr/local/bin/${SUPERCRONIC}" /usr/local/bin/supercronic
# Get Lufi release
RUN wget -o ${LUFI_BUILD_VERSION}.zip https://framagit.org/fiat-tux/hat-softwares/lufi/-/archive/${LUFI_BRANCH}/lufi-${LUFI_BRANCH}.zip \
# RUN wget https://framagit.org/fiat-tux/hat-softwares/lufi/-/releases/${LUFI_BUILD_VERSION}.zip && unzip ${LUFI_BUILD_VERSION}.zip \
&& rm ${LUFI_BUILD_VERSION}.zip && mv lufi-${LUFI_BUILD_VERSION} lufi
# RUN wget https://framagit.org/fiat-tux/hat-softwares/lufi/-/releases/${LUFI_BUILD_VERSION}.zip \
RUN wget -O ${LUFI_BUILD_VERSION}.zip https://framagit.org/fiat-tux/hat-softwares/lufi/-/archive/${LUFI_BUILD_VERSION}/lufi-${LUFI_BUILD_VERSION}.zip \
&& unzip ${LUFI_BUILD_VERSION}.zip \
&& rm ${LUFI_BUILD_VERSION}.zip \
&& mv lufi-${LUFI_BUILD_VERSION} lufi
WORKDIR ${APP_HOME}
......
......@@ -33,7 +33,7 @@ docker-compose up -d
### Mise à jour
Jusqu'à ce que [cette issue](https://framagit.org/fiat-tux/hat-softwares/lufi/-/issues/209#note_793653) soit fermée, la branche `fix-209-cannot-send-mail` est utilisée.
Une fois qu'elle sera fermée, on pourra utiliser les numéros de release comme indiqué ci dessous.
Une fois qu'elle sera fermée, on pourra utiliser les numéros de release comme indiqué ci dessous. Il faudra changer l'URL de téléchargement dans le `Dockerfile` en décommentant le `wget` et en enlevant l'actuel.
Il suffit de changer `LUFI_BUILD_VERSION` dans le `Dockerfile` et de reconstruire l'image.
Aucune autre opération n'est nécessaire pour effectuer les migrations et relancer le service.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment